Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xpath.axes
Class FilterExprWalker

    java.lang.Object
      |
      +--org.apache.xpath.Expression
            |
            +--org.apache.xpath.patterns.NodeTest
                  |
                  +--org.apache.xpath.axes.AxesWalker
                        |
                        +--org.apache.xpath.axes.FilterExprWalker

public class FilterExprWalker
extends AxesWalker

Walker for the OP_VARIABLE, or OP_EXTFUNCTION, or OP_FUNCTION, or OP_GROUP, op codes.

See Also:
  XPath FilterExpr descriptions

Fields inherited from class org.apache.xpath.patterns.NodeTest
`SCORE_NONE, SHOW_BYFUNCTION, SHOW_NAMESPACE, WILD`

Constructor Summary
`FilterExprWalker(LocPathIterator locPathIterator)` Construct a FilterExprWalker using a LocPathIterator.

Method Summary
`short` | `acceptNode(Node n)` This method needs to override AxesWalker.acceptNode because FilterExprWalkers don't need to, and shouldn't, do a node test.
`java.lang.Object` | `clone()` Get a cloned FilterExprWalker.
`Node` | `getNextNode()` Moves the `TreeWalker` to the next visible node in document order relative to the current node, and returns the new node.
`void` | `init(Compiler compiler, int opPos, int stepType)` Init a FilterExprWalker.
`void` | `setLocPathIterator(LocPathIterator li)`
`void` | `setRoot(Node root)` Set the root node of the TreeWalker.

Methods inherited from class org.apache.xpath.axes.AxesWalker
`firstChild, getCurrentNode, getExpandEntityReferences, getFilter, getLastPos, getLocPathIterator, getNextWalker, getPredicateCount, getPredicateIndex, getPrevWalker, getProximityPosition, getProximityPosition, getRoot, initProximityPosition, isReverseAxes, lastChild, nextNode, nextSibling, parentNode, previousNode, previousSibling, reset, resetProximityPositions, setCurrentNode, setNextWalker, setPredicateCount, setPrevWalker, toString`

Methods inherited from class org.apache.xpath.patterns.NodeTest
`debugWhatToShow, execute, getDefaultScore, getLocalName, getNamespace, getWhatToShow, initNodeTest, initNodeTest`

Methods inherited from class org.apache.xpath.Expression
`assert, error, warn`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FilterExprWalker

    public FilterExprWalker(LocPathIterator locPathIterator)

  Construct a FilterExprWalker using a LocPathIterator.

Method Detail

### init

    public void init(Compiler compiler,
                     int opPos,
                     int stepType)
              throws SAXException

  Init a FilterExprWalker.
  Overrides:
    init in class AxesWalker

### setRoot

    public void setRoot(Node root)

  Set the root node of the TreeWalker.
  Overrides:
    setRoot in class AxesWalker

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Get a cloned FilterExprWalker.
  Overrides:
    clone in class AxesWalker

### setLocPathIterator

    public void setLocPathIterator(LocPathIterator li)

  Overrides:
    setLocPathIterator in class AxesWalker

### acceptNode

    public short acceptNode(Node n)

  This method needs to override AxesWalker.acceptNode because FilterExprWalkers don't need to, and shouldn't, do a node test.
  Parameters:
    `n` - The node to check to see if it passes the filter or not.
  Returns:
    a constant to determine whether the node is accepted, rejected, or skipped, as defined above .
  Overrides:
    acceptNode in class AxesWalker

### getNextNode

    public Node getNextNode()

  Moves the `TreeWalker` to the next visible node in document order relative to the current node, and returns the new node. If the current node has no next node, or if the search for nextNode attempts to step upward from the TreeWalker's root node, returns `null` , and retains the current node.
  Returns:
    The new node, or `null` if the current node has no next node in the TreeWalker's logical view.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.